> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all bank statements

> The endpoint returns a list of bank statement PDFs collected for the link's accounts.



## OpenAPI

````yaml GET /v1/links/{link_id}/bank_statements/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/links/{link_id}/bank_statements/:
    parameters:
      - name: link_id
        in: path
        description: Link ID
        required: true
        schema:
          type: string
        example: 24d7e80942ce4ad58a93f70ce4115f5c
    get:
      tags:
        - Bank Statements
      summary: List all bank statements
      description: >-
        The endpoint returns a list of bank statement PDFs collected for the
        link's accounts.
      operationId: link-bank-statements
      parameters:
        - name: page
          in: query
          description: A page number within the paginated result set.
          required: false
          schema:
            type: integer
        - name: page_size
          in: query
          description: Number of results to return per page.
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankStatementsListResponse'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    BankStatementsListResponse:
      required:
        - count
        - next
        - previous
        - results
      type: object
      properties:
        count:
          description: Number of the results in total
          type: integer
          example: 100
        next:
          description: Link to the next page
          type: string
          format: uri
          nullable: true
          example: >-
            https://prod.truv.com/v1/links/24d7e80942ce4ad58a93f70ce4115f5c/bank_statements/?page=2
        previous:
          description: Link to the previous page
          type: string
          format: uri
          nullable: true
          example: >-
            https://prod.truv.com/v1/links/24d7e80942ce4ad58a93f70ce4115f5c/bank_statements/?page=1
        results:
          description: List of the Bank Statements
          type: array
          items:
            $ref: '#/components/schemas/BankStatement'
      description: Bank Statements List
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    BankStatement:
      required:
        - id
        - external_id
        - statement_date
        - account_id
        - file
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          readOnly: true
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        external_id:
          description: Statement ID assigned by the provider
          type: string
          readOnly: true
          example: '202311632023111015132916907630010010'
        statement_date:
          description: Date of the statement as reported by the provider
          type: string
          format: date
          readOnly: true
          example: '2023-12-19'
        account_id:
          description: Unique account ID
          type: string
          readOnly: true
          example: 68a7e80942ce4ad58a93f70ce411549a
        file:
          description: Bank statement file link
          type: string
          format: uri
          readOnly: true
          example: https://cdn.truv.com/files_examples/bank_statement.pdf
      description: Bank statement
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````